package com.ruoyi.tc.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.tc.baseClass.BaseClass;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
 * 小程序资产表(asset_mini_programs)实体类
 *
 * @author du
 * @since 2024/11/13 14:44
 */
@Data
@ApiModel("小程序资产表")
@TableName(value = "asset_mini_programs")
public class AssetMiniPrograms extends BaseClass implements Serializable {

    /**
    * 
    */
    @ApiModelProperty("id")
    private Long id;
    /**
    * 所属单位
    */
    @Excel(name = "所属单位", sort = 1, width = 22)
    @ApiModelProperty("所属单位")
    private String ssdw;
    /**
    * 小程序名称
    */
    @Excel(name = "小程序名称", sort = 2, width = 22)
    @ApiModelProperty("小程序名称")
    private String xcxmc;
    /**
    * appid
    */
    @Excel(name = "APPID", sort = 3, width = 22)
    @ApiModelProperty("appid")
    private String appId;
    /**
    * 认证主体
    */
    @Excel(name = "认证主体", sort = 4, width = 26)
    @ApiModelProperty("认证主体")
    private String rzzt;
    /**
    * 统一社会信用代码
    */
    @Excel(name = "统一社会信用代码", sort = 5)
    @ApiModelProperty("统一社会信用代码")
    private String tyshxydm;
    /**
    * 小程序状态（字典）
    */
    @Excel(name = "小程序包状态", sort = 6,dictType = "email_state",comboReadDict = true)
    @ApiModelProperty("小程序状态（字典）")
    private String state;
    /**
    * 账号原始ID
    */
    @Excel(name = "账号原始ID", sort = 6,dictType = "email_state",comboReadDict = true)
    @ApiModelProperty("账号原始ID")
    private String ysId;
    /**
    * 小程序包状态(字典)
    */
    @Size(max= 10,message="编码长度不能超过10")
    @ApiModelProperty("小程序包状态(字典)")
    @Length(max= 10,message="编码长度不能超过10")
    private String packState;
    /**
    * 认证状态(字典）
    */
    @Size(max= 10,message="编码长度不能超过10")
    @ApiModelProperty("认证状态(字典）")
    @Length(max= 10,message="编码长度不能超过10")
    private String rzState;
    /**
    * 认证时间
    */
    @Size(max= 50,message="编码长度不能超过50")
    @ApiModelProperty("认证时间")
    @Length(max= 50,message="编码长度不能超过50")
    private String rzsj;
    /**
    * 认证类型（字典）
    */
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("认证类型（字典）")
    @Length(max= 255,message="编码长度不能超过255")
    private String rzlx;
    /**
    * icp备案状态
    */
    @Size(max= 100,message="编码长度不能超过100")
    @ApiModelProperty("icp备案状态")
    @Length(max= 100,message="编码长度不能超过100")
    private String icpState;
    /**
    * 域命白名单
    */
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("域命白名单")
    @Length(max= 255,message="编码长度不能超过255")
    private String ymbmd;
    /**
    * 服务类目
    */
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("服务类目")
    @Length(max= 255,message="编码长度不能超过255")
    private String fwlm;
    /**
    * 行业电子邮箱
    */
    @Size(max= 100,message="编码长度不能超过100")
    @ApiModelProperty("行业电子邮箱")
    @Length(max= 100,message="编码长度不能超过100")
    private String hydzyx;
    /**
    * 所属行业（字典）
    */
    @Size(max= 10,message="编码长度不能超过10")
    @ApiModelProperty("所属行业（字典）")
    @Length(max= 10,message="编码长度不能超过10")
    private String sshy;
    /**
    * 重点行业(字典)
    */
    @Size(max= 10,message="编码长度不能超过10")
    @ApiModelProperty("重点行业(字典)")
    @Length(max= 10,message="编码长度不能超过10")
    private String zdhy;
    /**
    * 行政区划（字典)
    */
    @Size(max= 10,message="编码长度不能超过10")
    @ApiModelProperty("行政区划（字典)")
    @Length(max= 10,message="编码长度不能超过10")
    private String xzqh;
    /**
    * 系统简介
    */
    @Size(max= 500,message="编码长度不能超过500")
    @ApiModelProperty("系统简介")
    @Length(max= 500,message="编码长度不能超过500")
    private String xtjj;
    /**
    * 系统责任人
    */
    @Size(max= 50,message="编码长度不能超过50")
    @ApiModelProperty("系统责任人")
    @Length(max= 50,message="编码长度不能超过50")
    private String xtzrr;
    /**
    * 系统责任人电话
    */
    @Size(max= 50,message="编码长度不能超过50")
    @ApiModelProperty("系统责任人电话")
    @Length(max= 50,message="编码长度不能超过50")
    private String xtzrrdh;
    /**
    * 系统责任人邮箱
    */
    @Size(max= 50,message="编码长度不能超过50")
    @ApiModelProperty("系统责任人邮箱")
    @Length(max= 50,message="编码长度不能超过50")
    private String xtzrryx;
    /**
    * 系统责任人地址
    */
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("系统责任人地址")
    @Length(max= 255,message="编码长度不能超过255")
    private String xtzrrdz;
    /**
    * 引用插件appid
    */
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("引用插件appid")
    @Length(max= 255,message="编码长度不能超过255")
    private String yycjAppid;
    /**
    * 引用插件开发者
    */
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("引用插件开发者")
    @Length(max= 255,message="编码长度不能超过255")
    private String yycjKfz;
    /**
    * 删除标志（0代表存在 2代表删除）
    */
    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;
}
