package com.ruoyi.tc.entity.po;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.tc.baseClass.BaseClass;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * 资产新监管业务形态复制(asset_business_form_cp)实体类
 * @author du
 * @since 2024/11/13 14:44
 */
@Data
@ApiModel("资产新监管业务形态复制表")
@TableName(value = "asset_business_form_cp")
public class AssetBusinessFormCpPo extends BaseClass implements Serializable {
    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO,value = "business_id")
    private  Long businessId;


    /**
     * 资源id
     */
    @ApiModelProperty("资源id")
    private Long assetId;
    /**
     * 云平台-云平台服务商
     */

    @ApiModelProperty("云平台-云平台服务商")
    private String yptFws;
    /**
     * 云平台-是否租户级安全
     */
    @ApiModelProperty("云平台-是否租户级安全")
    private String yptSfzh;
    /**
     * 云平台-云平台类型
     */
    @Size(max= 50,message="云平台-云平台类型长度不能超过50")
    @ApiModelProperty("云平台-云平台类型")
    private String yptLx;
    /**
     * 云平台-硬件资源大小
     */

    @ApiModelProperty("云平台-硬件资源大小")
    private String yptYjzydx;
    /**
     * 云平台-平台架构
     */

    @ApiModelProperty("云平台-平台架构")
    private String yptPtjg;
    /**
     * 云平台-互联网IP段
     */

    @ApiModelProperty("云平台-互联网IP段")
    private String yptIp;
    /**
     * 云平台-机房联系人
     */

    @ApiModelProperty("云平台-机房联系人")
    private String yptJflxr;
    /**
     * 云平台-机房联系人电话
     */

    @ApiModelProperty("云平台-机房联系人电话")
    private String yptJflxrdh;
    /**
     * 云平台-服务器设备类型
     */

    @ApiModelProperty("云平台-服务器设备类型")
    private String yptFwqsblx;
    /**
     * 大数据平台-平台服务商
     */

    @ApiModelProperty("大数据平台-平台服务商")
    private String dsjPtfws;
    /**
     * 大数据平台-敏感数据类型
     */

    @ApiModelProperty("大数据平台-敏感数据类型")
    private String dsjMgsjlx;
    /**
     * 大数据平台-硬件资源
     */

    @ApiModelProperty("大数据平台-硬件资源")
    private String dsjYjzy;
    /**
     * 大数据平台-系统数据量
     */

    @ApiModelProperty("大数据平台-系统数据量")
    private String dsjXtsjl;
    /**
     * 大数据平台-机房联系人
     */

    @ApiModelProperty("大数据平台-机房联系人")
    private String dsjJflxr;
    /**
     * 大数据平台-机房联系人电话
     */

    @ApiModelProperty("大数据平台-机房联系人电话")
    private String dsjJflxrdh;
    /**
     * 大数据平台-是否数据审计
     */
    @ApiModelProperty("大数据平台-是否数据审计")
    private String dsjSfsjsj;
    /**
     * 一般物联网设备-系统集成商名称
     */

    @ApiModelProperty("一般物联网设备-系统集成商名称")
    private String wlwsbXtjcs;
    /**
     * 一般物联网设备-用户数量
     */

    @ApiModelProperty("一般物联网设备-用户数量")
    private String wlwsbYhsl;
    /**
     * 一般物联网设备-服务对象
     */
    @ApiModelProperty("一般物联网设备-服务对象")
    private String wlwsbFwdx;
    /**
     * 一般物联网设备-终端数量
     */

    @ApiModelProperty("一般物联网设备-终端数量")
    private String wlwsbZdsl;
    /**
     * 一般物联网设备-网络互联情况
     */
    @ApiModelProperty("一般物联网设备-网络互联情况")
    private String wlwsbWlhlqk;
    /**
     * 一般物联网设备-联系人
     */

    @ApiModelProperty("一般物联网设备-联系人")
    private String wlwsbLxr;
    /**
     * 一般物联网设备-服务范围
     */
    @ApiModelProperty("一般物联网设备-服务范围")
    private String wlwsbFwfw;
    /**
     * 一般物联网设备-联系人电话
     */

    @ApiModelProperty("一般物联网设备-联系人电话")
    private String wlwsbLxrdh;
    /**
     * 一般物联网设备-服务内容
     */

    @ApiModelProperty("一般物联网设备-服务内容")
    private String wlwsbFwnr;
    /**
     * 摄像头-摄像头品牌
     */

    @ApiModelProperty("摄像头-摄像头品牌")
    private String sxtPp;
    /**
     * 摄像头-位置
     */

    @ApiModelProperty("摄像头-位置")
    private String sxtWz;
    /**
     * 摄像头-摄像头IP
     */

    @ApiModelProperty("摄像头-摄像头IP")
    private String sxtIp;
    /**
     * 摄像头-区域
     */

    @ApiModelProperty("摄像头-区域")
    private String sxtQy;
    /**
     * 摄像头-摄像头数量
     */

    @ApiModelProperty("摄像头-摄像头数量")
    private String sxtSl;
    /**
     * 摄像头-端口
     */

    @ApiModelProperty("摄像头-端口")
    private String sxtDk;
    /**
     * 摄像头-设备型号
     */

    @ApiModelProperty("摄像头-设备型号")
    private String sxtSbxh;
    /**
     * 摄像头-固定版本
     */

    @ApiModelProperty("摄像头-固定版本")
    private String sxtGdbb;
    /**
     * 移动APP-移动APP系统
     */

    @ApiModelProperty("移动APP-移动APP系统")
    private String appXt;
    /**
     * 移动APP-服务端域名
     */

    @ApiModelProperty("移动APP-服务端域名")
    private String appYm;
    /**
     * 移动APP-移动APP渠道
     */

    @ApiModelProperty("移动APP-移动APP渠道")
    private String appQd;
    /**
     * 移动APP-服务端IP
     */

    @ApiModelProperty("移动APP-服务端IP")
    private String appIp;
    /**
     * 移动APP-联系人
     */

    @ApiModelProperty("移动APP-联系人")
    private String appLxr;
    /**
     * 移动APP-联系人电话
     */

    @ApiModelProperty("移动APP-联系人电话")
    private String appLxrdh;
    /**
     * 移动APP-APP是否有身份认证
     */
    @ApiModelProperty("移动APP-APP是否有身份认证")
    private String appSfysfrz;
    /**
     * 工业控制-系统集成商名称
     */

    @ApiModelProperty("工业控制-系统集成商名称")
    private String gykzJcs;
    /**
     * 工业控制-运行时间
     */

    @ApiModelProperty("工业控制-运行时间")
    private String gykzYxsj;
    /**
     * 工业控制-服务对象
     */
    @ApiModelProperty("工业控制-服务对象")
    private String gykzFwdx;
    /**
     * 工业控制-集成商国内外情况
     */

    @ApiModelProperty("工业控制-集成商国内外情况")
    private String gykzJcsqk;
    /**
     * 工业控制-网络互联情况
     */
    @ApiModelProperty("工业控制-网络互联情况")
    private String gykzWlhxqk;
    /**
     * 工业控制-联系人
     */

    @ApiModelProperty("工业控制-联系人")
    private String gykzLxr;
    /**
     * 工业控制-服务范围
     */
    @ApiModelProperty("工业控制-服务范围")
    private String gykzFwfw;
    /**
     * 工业控制-联系人电话
     */

    @ApiModelProperty("工业控制-联系人电话")
    private String gykzLxrdh;
    /**
     * 工业控制-设备名称
     */

    @ApiModelProperty("工业控制-设备名称")
    private String gykzSbmc;
    /**
     * 工业控制-设备品牌
     */

    @ApiModelProperty("工业控制-设备品牌")
    private String gykzSbpp;
    /**
     * 工业控制-设备类别
     */

    @ApiModelProperty("工业控制-设备类别")
    private String gykzSblb;
    /**
     * 工业控制-运营商
     */

    @ApiModelProperty("工业控制-运营商")
    private String gykzYys;
    /**
     * 工业控制-互联网IP
     */

    @ApiModelProperty("工业控制-互联网IP")
    private String gykzHlwIp;
    /**
     * 工业控制-网络层级
     */

    @ApiModelProperty("工业控制-网络层级")
    private String gykzWlcj;
    /**
     * 工业控制-控制台IP
     */

    @ApiModelProperty("工业控制-控制台IP")
    private String gykzKztIp;
    /**
     * 工业控制-描述
     */

    @ApiModelProperty("工业控制-描述")
    private String gykzMs;
    /**
     * CDN信息-CDN供应商
     */

    @ApiModelProperty("CDN信息-CDN供应商")
    private String cdnGys;
    /**
     * CDN信息-CDN是否使用
     */
    @ApiModelProperty("CDN信息-CDN是否使用")
    private String cdnSfsy;
    /**
     * CDN信息-CDN类型
     */

    @ApiModelProperty("CDN信息-CDN类型")
    private String cdnLx;
    /**
     * CDN信息-CDN域名
     */

    @ApiModelProperty("CDN信息-CDN域名")
    private String cdnYm;
    /**
     * CDN信息-联系人
     */

    @ApiModelProperty("CDN信息-联系人")
    private String cdnLxr;
    /**
     * CDN信息-联系人电话
     */

    @ApiModelProperty("CDN信息-联系人电话")
    private String cdnLxrdh;
    /**
     * CDN信息-CDN加速信息
     */

    @ApiModelProperty("CDN信息-CDN加速信息")
    private String cdnJsxx;

    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;


    @ApiModelProperty("任务id")
    private Integer taskId;
}
